POST api/SpotterIntegration/DeleteCaseSync
Request Information
URI Parameters
None.
Body Parameters
SpotterDeleteCaseSyncRequestModel| Name | Description | Type | Additional information |
|---|---|---|---|
| InjuryNonInjuryCaseList | Collection of integer |
None. |
|
| MSSCaseList | Collection of integer |
None. |
|
| CorporationCode | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"InjuryNonInjuryCaseList": [
1,
2
],
"MSSCaseList": [
1,
2
],
"CorporationCode": "sample string 1"
}
application/xml, text/xml
Sample:
<SpotterDeleteCaseSyncRequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL._SpotterIntegration.Model">
<CorporationCode>sample string 1</CorporationCode>
<InjuryNonInjuryCaseList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:long>1</d2p1:long>
<d2p1:long>2</d2p1:long>
</InjuryNonInjuryCaseList>
<MSSCaseList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:long>1</d2p1:long>
<d2p1:long>2</d2p1:long>
</MSSCaseList>
</SpotterDeleteCaseSyncRequestModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}
application/xml, text/xml
Sample:
<AsapResponseOfstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common"> <isSuccess>true</isSuccess> <jsonObj>sample string 3</jsonObj> <message>sample string 2</message> <totalCount>4</totalCount> </AsapResponseOfstring>